package interfaces

import (
	"github.com/kettek/goro"
)

type Entity interface {
	X() int
	SetX(int)
	Y() int
	SetY(int)
	Rune() rune
	SetRune(rune)
	Style() goro.Style
	SetStyle(goro.Style)
	Move(int, int)
	Name() string
	SetName(string)
	Flags() uint
	SetFlags(uint)
}
