package interfaces

// Our GameMap interface. This provides access to tile state and more.
type GameMap interface {
	Width() int
	Height() int
	IsBlocked(x, y int) bool
	IsOpaque(x, y int) bool
	Explored(x, y int) bool
	SetExplored(x, y int, explored bool)
	MakeMap(maxRooms, roomMinSize, roomMaxSize int, entities *[]Entity, maxMonsters int)
}
